#include <iostream>
using namespace std;
int main()
{
    int x1,x2,y1,y2;
    cin>>x1>>y1;
    cin>>x2>>y2;
    if(x2-x1==y2-y1)
    cout<<1;
    else if(x2==x1||y2==y1)
    cout<<2;
    else cout<<0;
    return 0;
}